std::is_implicit_lifetime(3)

NAME
std::is_implicit_lifetime - std::is_implicit_lifetime

Synopsis
   Defined in header <type_traits>
   template< class T > (since C++23)
   struct is_implicit_lifetime;
   std::is_implicit_lifetime is a UnaryTypeTrait.
   If T is an implicit-lifetime type, provides the member constant value equal to true.
   For any other type, value is false.
   The behavior is undefined if T is an incomplete type other than an array type or
   (possibly cv-qualified) void.
   If the program adds specializations for std::is_implicit_lifetime or
   std::is_implicit_lifetime_v, the behavior is undefined.

Template parameters
   T - a type to check
   Helper variable template
   template< class T >
   inline constexpr bool is_implicit_lifetime_v = (since C++23)
   is_implicit_lifetime<T>::value; Inherited from std::integral_constant

Member constants
   value true if T is an implicit-lifetime type, false otherwise
   [static] (public static member constant)

Member functions
   operator bool converts the object to bool, returns value
                 (public member function)
   operator() returns value
   (C++14) (public member function)

Member types
   Type Definition
   value_type bool
   type std::integral_constant<bool, value>

Notes
         Feature-test macro Value Std Feature
   __cpp_lib_is_implicit_lifetime 202302L (C++23) std::is_implicit_lifetime

Example
    This section is incomplete
    Reason: example

See also
   is_scalar checks if a type is a scalar type
   (C++11) (class template)
   is_array checks if a type is an array type
   (C++11) (class template)
   is_aggregate checks if a type is an aggregate type
   (C++17) (class template)
   start_lifetime_as implicitly creates objects in given storage with the object
   start_lifetime_as_array representation reused
   (C++23) (function template)

Category:
     * Todo with reason